#!/bin/bash

SRC_DIR="rois_2dnav_gazebo/config/costmap/robot1/"
TARGET_FILES=(
    "costmap_common_params.yaml"
    "global_costmap_params.yaml"
    "local_costmap_params.yaml"
)

for ((i=2;i<=20;i++)); do
    TARGET_DIR="rois_2dnav_gazebo/config/costmap/robot$i/"
    mkdir -p "${TARGET_DIR}"
    
    for fx in "${TARGET_FILES[@]}"; do
        sed -e "s/robot1/robot$i/g" "${SRC_DIR}/${fx}" > "${TARGET_DIR}/${fx}"
    done
done

for ((i=1;i<=10;i++)); do
    TARGET_DIR="rois_2dnav_gazebo/config/costmap/human$i/"
    mkdir -p "${TARGET_DIR}"
    
    for fx in "${TARGET_FILES[@]}"; do
        sed -e "s/robot1/human$i/g" "${SRC_DIR}/${fx}" > "${TARGET_DIR}/${fx}"
    done
done