# from pyrois import RoIS_HRI, RoIS_Common, RoIS_Service, IF_server
# from pyrois_common import message_profile, Service_Application_Base_sample, HRI_Engine_client_sample
from pyrois_common import message_profile

def gen_e_id(name,comp):
    return f"urn:x-rois:def:HRIEngine:Kyutech:{name}:{comp}"

def gen_c_id(name,comp):
    return f"urn:x-rois:def:HRIComponent:Kyutech:{name}:{comp}"

def gen_robot_profile(name):
    e_s = message_profile.HRI_Engine_Profile(gen_e_id('',name),name)
    e_s.add_component(gen_c_id(name, 'Navigation'))
    e_s.add_component(gen_c_id(name, 'SystemInformation'))
    e_s.add_component(gen_c_id(name, 'SpeechRecognition'))
    return e_s

def main():
    e = message_profile.HRI_Engine_Profile(gen_e_id('','main001'),'MainEngine')
    m_pl = message_profile.HRI_Component_Profile()
    e.add_component(gen_c_id('main', 'PersonLocalization'))
    for x in range(1,7):
        name = f"robot{x}"
        e.add_engine(gen_robot_profile(name))

    print(e.toxml())

main()

