#! /bin/bash

source devel/setup.bash

case $1 in
    "t2" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human.launch
        ;;
    "t2a" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human2.launch model_name:=human2 init_x:=0 init_y:=12
        ;;
    "t2b" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human3.launch model_name:=human3 init_x:=0 init_y:=13
        ;;
    "t2c" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human4.launch model_name:=human4 init_x:=0 init_y:=14
        ;;
    "t2d" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human5.launch model_name:=human5 init_x:=0 init_y:=15
        ;;
    "t2e" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human6.launch model_name:=human6 init_x:=0 init_y:=16
        ;;
    "t2f" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human7.launch model_name:=human7 init_x:=0 init_y:=17
        ;;
    "t2g" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human8.launch model_name:=human8 init_x:=0 init_y:=18
        ;;
    "t2h" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human9.launch model_name:=human9 init_x:=0 init_y:=19
        ;;
    "t2i" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human10.launch model_name:=human10 init_x:=0 init_y:=20
        ;;
    "t2j" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human11.launch model_name:=human11 init_x:=-1 init_y:=12
        ;;
    "t2k" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human12.launch model_name:=human12 init_x:=-1 init_y:=13
        ;;
    "t2l" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human13.launch model_name:=human13 init_x:=-1 init_y:=14
        ;;
    "t2m" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human14.launch model_name:=human14 init_x:=-1 init_y:=15
        ;;
    "t2n" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human15.launch model_name:=human15 init_x:=-1 init_y:=16
        ;;
    "t2o" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human16.launch model_name:=human16 init_x:=-1 init_y:=17
        ;;
    "t2p" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human17.launch model_name:=human17 init_x:=-1 init_y:=18
        ;;
    "t2q" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human18.launch model_name:=human18 init_x:=-1 init_y:=19
        ;;
    "t2r" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human19.launch model_name:=human19 init_x:=-1 init_y:=20
        ;;
    "t2s" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human20.launch model_name:=human20 init_x:=-2 init_y:=12
        ;;
    "t2t" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human21.launch model_name:=human21 init_x:=-2 init_y:=13
        ;;
    "t2u" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human22.launch model_name:=human22 init_x:=-2 init_y:=14
        ;;
    "t2w" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human23.launch model_name:=human23 init_x:=-2 init_y:=15
        ;;
    "t2x" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human24.launch model_name:=human24 init_x:=-2 init_y:=16
        ;;
    "t2y" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_human25.launch model_name:=human25 init_x:=-2 init_y:=17
        ;;
    "t2_x_h" )
        wait-for-it localhost:11311 -- echo "ready"
        # if [ -n $5 ]; then
        #     roscd route_guidance_ros/scripts/
        #     while [ -z `rostopic list|grep /$5` ]
        #     do 
        #         echo "waiting $5"
        #         sleep 1s
        #     done
        # fi
        roslaunch rois_gazebo spawn_human_x.launch "model_name:=$2" "init_x:=$3" "init_y:=$4"
        ;;
    "t2_x_r" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_robot_x.launch "model_name:=$2" "init_x:=$3" "init_y:=$4"
        ;;
    "t2_x_m" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_model.launch "model_name:=$2" "init_x:=$3" "init_y:=$4"
        ;;
    "t2_x_n" )
        wait-for-it localhost:11311 -- echo "ready"
        roslaunch rois_gazebo spawn_nav.launch "model_name:=$2" "init_x:=$3" "init_y:=$4"
        ;;




    "t3" )
        wait-for-it localhost:11311 -- echo "ready"
        roscd route_guidance_ros/scripts/
        while [ -z `rostopic list|grep /human1` ]
        do 
            echo "waiting human1"
            sleep 1
        done 
        python3 -c "import setup_comp_servers;setup_comp_servers.setup_single_robot();input('hit Enter key')"
        ;;
    "t3m" )
        wait-for-it localhost:11311 -- echo "ready"
        roscd route_guidance_ros/scripts/
        while [ -z `rostopic list|grep /human1` ]
        do 
            echo "waiting human1"
            sleep 1
        done
        python3 -c "import setup_comp_servers;setup_comp_servers.setup_multi_robot();input('hit Enter key')"
        ;;
    "t4" )
        wait-for-it localhost:11311 -- echo "ready"
        roscd route_guidance_ros/scripts/
        python3 setup_engines.py
        ;;
    "t4m" )
        wait-for-it localhost:11311 -- echo "ready"
        roscd route_guidance_ros/scripts/
        python3 wait_server.py client_info_2.json comp
        python3 setup_engines_multi.py
        ;;
    "t5" )
        wait-for-it localhost:11311 -- echo "ready"
        roscd route_guidance_ros/scripts/
        python3 wait_server.py client_info_2.json comp
        python3 wait_server.py client_info_2.json eng
        wait-for-it localhost:8000 -- echo "ready main HRI Engine"
        python3 sa_multi.py
        ;;
    "t5a" )
        wait-for-it localhost:8000 -- echo "ready"
        sleep 5
        rostopic pub -1 human1/diff_drive_controller/cmd_vel geometry_msgs/Twist -- "[0,0,0]" "[0,0,-1]"
        rostopic pub -1 human1/diff_drive_controller/cmd_vel geometry_msgs/Twist -- "[1,0,0]" "[0,0,0]"
        rostopic pub -1 human1/diff_drive_controller/cmd_vel geometry_msgs/Twist -- "[1,0,0]" "[0,0,0]"
        ;;
    "t5o" )
        rostopic pub -1 robot1/detected_text std_msgs/String "data: 'point_a'"
        ;;

    "g_pause" )
        wait-for-it localhost:11311 -- echo "ready"
        rosservice call gazebo/pause_physics
        ;;
esac